esphome:
  name: ff2
  friendly_name: LILYGO-S3 T-Display
  platformio_options:
    build_unflags: -Werror=all
    board_build.flash_mode: dio

esp32:
  board: esp32-s3-devkitc-1
  variant: esp32s3
  framework:
    type: esp-idf

api:

logger:

ota:
  platform: esphome
  password: !secret ota_password

wifi:
  ssid: !secret wifi_ssid
  password: !secret wifi_password
  id: wifi_client
  manual_ip:
    static_ip: 192.168.4.11
    gateway: 192.168.4.1
    subnet: 192.168.4.255
  use_address: ff2.iot.snel.it

spi:
  id: qspi_bus
  type: quad
  clk_pin: GPIO47
  data_pins:
    - GPIO18
    - GPIO7
    - GPIO48
    - GPIO5

display:
  - platform: qspi_dbi
    model: RM67162
    id: s3_display
    update_interval: 1s
    dimensions:
      height: 536
      width: 240
    color_order: rgb
    brightness: 255
    cs_pin: GPIO6
    reset_pin: GPIO17
    rotation: 0
    lambda: |-
      it.print(10, 20, id(my_font), Color(255, 255, 255), "Hello, SmartHomeScene!");

font:
        - file: "Courier_New.ttf"
          id: my_font
          size: 15
          glyphs: "/!\"%()+=,-_.:°0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ abcdefghijklmnopqrstuvwxyz<>"


